IRC is a real time text chat. Here are its main features:

- Plain text - no images, no audio, no video
- As a result, extremely low bandwidth
- Easy to review chat history without need for presence or a headset

PROMPT: write an example of a chat platform with audio or video. Did you use it before? Does it save a recording of a conversation for others?

----

What is IRC used for?
- Collaborative discussions about computers (learning technical information), as learning in real time is a lot easier
- To discuss news (citizen journalism), as it may change quickly and also may require real time analysis with a group

PROMPT: remember when you last collaborated or discussed news with a friend. Did you speak, draw?

----

How much does IRC cost?

- There are many free (libre) chat servers and clients available.
- Usually IRC is free of charge.
- IRC is moderated by volunteers on each server to remove and report illegal activities.

PROMPT: think of topics which you would be interested to discuss. Where are you from? What languages do you speak? What are your interests?

----

PROMPT: Often IRC chat can be used for collaborative work or learning. Think about your professional interests or hobbies. What are the topics for them? Would you like to chat with people who also have interest in these topics?
Basic chat etiquette

----

OK, let's see how to use IRC.

IRC chat is real-time. It is not a forum. You can keep reading the conversations, and replies may be instant.

In smaller channels, replies may take a few hours. In that case, introduce yourself or your question, leave the chat window open, and check later!

PROMPT: imagine you have a question about surfing. In the 'surfing' group there is only 11 people. After your question, nobody responded for about 10 minutes. What should you do? (a) close the chat window (b) leave the chat window open and wait. if answer is found elsewhere, share the answer (c) stick around to meet new people

----

The correct answer is (b) and optionally also (c). Just closing the window means that answer is not found, or is not shared.

Let's see what a chat window looks like. 

To view this part of the tutorial, please ensure you are using a monospace font in your IRC client. 

PROMPT: once monospace font is set, please continue.

----

Here is a diagram of a chat window.

+-----------------------------------------------+
|                                               |
|                                               |
| <gry> Hi                                      |
| <rob> Hi gry                                  |
| <alice> I liked the yesterday trip.           |
|                                               |
|                                               |
+-----------------------------------------------+
| (john) Type your message here       [ SEND ]  |    <--- you can also press Enter to send a message
+-----------------------------------------------+
    ^--- In this example, "john" is your nick. This is how others see you in the chat.

PROMPT: Find the input box in this diagram. Is it at the top or at the bottom of the window? How many messages are visible in the chat?

----

IRC chat is not private chat, like Messanger, WhatsApp, ICQ, or Jabber.

People talk in groups, called channels, such as about 'Vietnam' or 'Photography'.

In each group, you can see other participants in the nick list. People outside the channel can not read the current conversation.

Often the group name says what it is about. The topic message also says this.

+-----------------------------------------------+----------------+
| TOPIC:                                        | NICK LIST:     |
| Place to introduce yourself to IRCNow.        |                |
|-----------------------------------------------+                |              
|                                               |                |
| <gry> Hi                                      | * alice        |
| <rob> Hi gry                                  | * gry          |
| <alice> I liked the yesterday trip.           | * john         |
|                                               | * rob          |
+-----------------------------------------------+                |
| (john) Type your message here       [ SEND ]  |                |  
+-----------------------------------------------+----------------+

PROMPT: How many users are in this channel now? Which one of them does not speak yet?

----

Channel names start with a pound (#). They are case insensitive.

IRC has commands. They start with a slash (/).

For example, join a channel with "/join" command, and part using "/part".

You can be in several channels simultaneously.

+-----------------------------------------------+----------------+
| TOPIC:                                        | NICK LIST:     |
| Place to introduce yourself to IRCNow.        |                |
|-----------------------------------------------+                |              
|                                               |                |
| <gry> Hi                                      | * alice        |
| <rob> Hi gry                                  | * gry          |
| <alice> I liked the yesterday trip.           | * john         |
|                                               | * rob          |
|                                               |                |
|      -----------------------------------------+                |
| #hi  | #france | #photos  |                   |                |  <--- List of channels you are in: #hi, #france, #photos.
+------+ --------+ ---------+                   |                | 
| (john) /join #egypt                 [ SEND ]  |                |  <-- John is about to join the #egypt channel.
+-----------------------------------------------+----------------+

PROMPT: how many channels is John in right now? How many channels will he be in after he runs the command that is shown in the window?

----

Navigating the different IRC servers

Each channel belongs to a network, such as IRCNow, or efnet.

Such a network is an IRC server. It receives message from one participant and delivers it to the others.

You can access IRC chat from a separate app, called "IRC Client". It sends your messages, and receives others'.

There are many IRC servers in different countries. They are autonomous.

PROMPT: what is the name of the app that you can use to read the chat?

----

IRC client software, and a webchat

An IRC client it safe, and uses low bandwidth: it only connects to the chat server to send and receive many short messages in plain text.

There are many free and open-source IRC clients. They have different names, but they all follow the same principles, as in this tutorial.

To try out IRC, you can use a web chat. For example, the main channel of IRCNow Orange (irc.orange.ircnow.org) server is #orange, and it can be accessed via this link:

http://www.kiwiirc.com/client/irc.orange.ircnow.org/orange

Note: you might need to wait about 5 seconds for the connection.

KiwiIRC is a free (libre) chat client. It is just a web page. Check it out!

PROMPT: Load KiwiIRC and share your experience with it.

----

Our chat server

Once you are comfortable with the webchat, you may wish to find an IRC client for your computer or tablet. Some popular (and free/libre) ones are HexChat for Windows, Quassel IRC for any platform, Revolution IRC for Android.

In an IRC client, either find a network that you like, or write these settings and meet us:

    IRC server: irc.lecturify.net (this is IRCNow Orange server)
    Port: 6667 (plaintext) or 6697 (encrypted connection via SSL/TLS)
    Channel: #orange

PROMPT: install an IRC client

----

Making your own channel

At our chat server, or at any other, you can register your channel for friends, family, or work. We provide free assistance with the channel registration. If you're interested, please see 'signup' and leave us a message today!

See also 'znc', the IRC bouncer with which you do not miss a thing.

Thanks! The 'irc' model is completed.

PROMPT: share your feedback

----
