nsd is an authoritative name server. nsd comes as part of openbsd base so no installation will be necessary. 
Advantages of nsd are that it is audited by the OpenBSD team and it is simpler than BIND. Disadvantages of nsd are that it is more difficult to fork compared to delphinusdnsd.
Let's get started. write 'man nsd', 'man nsd.conf', 'man nsd-checkconf' and 'man nsd-control'. Review the official documentation for them. 

PROMPT:  What nsd version do you have installed - this is at the top of its man page?
----
Edit these sections in /var/nsd/etc/nsd.conf:

server:
        hide-version: yes
        verbosity: 2
        database: "" # disable database
        username: _nsd
        logfile: "/var/log/nsd.log"
## bind to a specific address/port
        ip-address: 198.51.100.1
        ip-address: 2001:db8::

Substitute the IP with your public IPv4 and IPv6 IPs, Then save the file.

PROMPT: What are these IPs? 

----

To start off, we'll configure just a master name server. This will let us quickly test to see if our name server is working.
In ``/var/nsd/zones/master/example.lecturify.net`` file, uncomment lines like this:

## master zone example
zone:
       name: "example.lecturify.net"
       zonefile: "master/example.lecturify.net"

PROMPT: What other two lines in this block are still commented? Then save the file.

----

Ask someone to delegate example.lecturify.net to you. Then create a file like ``/var/nsd/zones/master/example.lecturify.net`` with the following contents:

``
$ORIGIN example.lecturify.net.
$TTL 4h
@       IN        SOA   ns1.lecturify.net. admin.lecturify.com. (
                2021050407 1800 7200 1209600 3600 )
            IN      A       38.81.163.14
            IN      NS      orange.ircnow.org.
grytest         IN      A       8.8.8.8
``

Save it. Enable nsd with `doas rcctl enable nsd` and then start it with `doas rcctl restart nsd`. 

PROMPT: What does `host grytest.example.lecturify.net` say now? And what does `tail /var/log/nsd.log` say?

----

To add or edit a dns record, increment the "2021050407" integer by one each time and then reload nsd.

PROMPT: add a second dns record correctly, and ensure 'host newrec.example.lecturify.net' works. Then modify it, without incrementing the integer. Does it work then? What does nsd.log say about it?

----

To the last question the correct answer was 'nothing'.

Next topic here: Fully qualified domain names end with a dot ('.'). 

PROMPT: add a dns record that includes a FQDN. Ensure it is working. Share it here.

----

'nsd' completed. Thanks!
PROMPT: share your feedback
----

